package org.jmetrix.logging;

/**
 * @author Konstantin Kuzmin
 * @version $Revision$
 * @since 28.07.12
 */
public interface Logger {
    public void debug(String s);

    public void debug(String s, Object... objects);

    public void debug(String s, Throwable throwable);

    public void info(String s);

    public void info(String s, Object... objects);

    public void info(String s, Throwable throwable);

    public void warn(String s);

    public void warn(String s, Object... objects);

    public void warn(String s, Throwable throwable);

    public void error(String s);

    public void error(String s, Object... objects);

    public void error(String s, Throwable throwable);
}
